//
//  ViewController.swift
//  TestProvisioning
//
//  Created by vijay vikram singh on 10/20/16.
//  Copyright © 2016 vijay vikram singh. All rights reserved.
//

import UIKit
import MobileCoreServices

class ViewController: UIViewController, UIImagePickerControllerDelegate, UINavigationControllerDelegate {

    @IBOutlet weak var imageView: UIImageView!
    var imagePicker : UIImagePickerController?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }
    
    @IBAction func openCamera(_ sender: AnyObject) {
        
        if UIImagePickerController.isSourceTypeAvailable(.camera) {
            imagePicker = UIImagePickerController.init()
            imagePicker?.delegate = self
            imagePicker?.allowsEditing = true
            imagePicker?.sourceType = .camera
            imagePicker?.mediaTypes = [kUTTypeImage as String]
            imagePicker?.showsCameraControls = false
            
            let overLayView = UIView(frame: CGRect(x: 0, y: 0, width: self.view.frame.width, height: 50))
            overLayView.backgroundColor = UIColor.white
            let button1 = UIButton.init(frame: CGRect(x: 5, y: 10, width: 100, height: 40))
            button1.setTitle("Capture", for: .normal)

            button1.backgroundColor = UIColor.blue
            button1.addTarget(self, action: #selector(captureImage), for: .touchUpInside)
            
            let button2 = UIButton.init(frame: CGRect(x: 210, y: 10, width: 100, height: 40))
            button2.setTitle("Dismiss", for: .normal)
            button2.addTarget(self, action: #selector(dismissImage), for: .touchUpInside)
            button2.backgroundColor = UIColor.blue

            overLayView.addSubview(button1)
            overLayView.addSubview(button2)
            
            imagePicker?.cameraOverlayView = overLayView
            self.present(imagePicker!, animated: true, completion: {
                
            })
        }
    }

    func captureImage() {
        imagePicker?.takePicture()
//        imagePicker?.dismiss(animated: false, completion: {
//            
//        })
    }
    
    func dismissImage() {
        imagePicker?.dismiss(animated: false, completion: {
            
        })
    }
    
     func imagePickerController(_ picker: UIImagePickerController, didFinishPickingMediaWithInfo info: [String : Any]) {
        imagePicker?.dismiss(animated: false, completion: {
            
        })
        imageView.image = info[UIImagePickerControllerOriginalImage] as? UIImage
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

